
Redmine - Patch #243

Patch for Feature 16645 - Wiki Page Hierarchy and Breadcrumbs

2007-12-27 13:46 - Ron Monson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8   

Description

This patch allows you to assign a parent page to each wiki page creating a parent/child relationship.  When used, breadcrumbs

or backlinks will be displayed at the top of the wiki page allowing you to jump to any page in the hierarchy.  Also

included is a 

Error executing the child_pages macro (With no argument, this macro can be called from wiki pages only)

link which will render all of the child pages for any given page.    

See the feature request for screenshots.

Related issues:

Related to Redmine - Feature #528: Wiki Page Hierarchy and Breadcrumbs Closed

History

#1 - 2008-06-06 01:04 - clawfrown clawfrown

Tryed to apply that.. Didn't work.. :-(

The log says:

ActionView::TemplateError (undefined method `parent_id' for #<WikiPage:0x20dc5bc>) on line #4 of wiki/show.rht

ml:

 I have Redmine version 7.0_rc1

#2 - 2008-07-26 13:49 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Closed

- Target version set to 0.8

Functionality added in r1698. See #528.

Files

AddWikiHierarchy.patch 10.9 KB 2008-02-03 Ron Monson
